Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflow-executions
/
search
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "<string>",
      "run_id": "<string>",
      "start_time": "2023-11-07T05:31:56Z",
      "workflow_type": "<string>",
      "task_queue": "<string>",
      "history_length": 123,
      "execution_time": "2023-11-07T05:31:56Z",
      "close_time": "2023-11-07T05:31:56Z",
      "parent_wf_exec_id": "<string>",
      "execution_type": "published",
      "workflow_id": "<string>",
      "workflow_title": "<string>",
      "workflow_alias": "<string>"
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "has_more": false,
  "has_previous": false,
  "total_estimate": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

trigger
enum<string>[] | null

Trigger type for a workflow execution.

Available options:
manual,
scheduled,
webhook,
case
status
enum<string>[] | null
Available options:
RUNNING,
COMPLETED,
FAILED,
CANCELED,
TERMINATED,
CONTINUED_AS_NEW,
TIMED_OUT
status_mode
enum<string>
default:include
Available options:
include,
exclude
start_time_from
string<date-time> | null
start_time_to
string<date-time> | null
close_time_from
string<date-time> | null
close_time_to
string<date-time> | null
duration_gte_seconds
integer | null
Required range: x >= 0
duration_lte_seconds
integer | null
Required range: x >= 0
search_term
string | null

Filter by workflow title or alias.

relation
enum<string>
default:all
Available options:
all,
root,
child
workflow_id
Pattern: wf_[0-9a-zA-Z]+
limit
integer
default:100
Required range: 1 <= x <= 1000
cursor
string | null
reverse
boolean
default:false
user_id

Response

Successful Response

items
WorkflowRunReadMinimal · object[]
required
next_cursor
string | null

Cursor for next page

prev_cursor
string | null

Cursor for previous page

has_more
boolean
default:false

Whether more items exist

has_previous
boolean
default:false

Whether previous items exist

total_estimate
integer | null

Estimated total count from table statistics